Skip to main content
PATCH
/
v1
/
ai-variables
/
folders
/
contacts
/
{folderId}
Update contact AI variable folder
curl --request PATCH \
  --url https://openapi.enginy.ai/v1/ai-variables/folders/contacts/{folderId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "parentId": 123
}
'
{
  "status": "success",
  "message": "<string>",
  "data": {
    "id": 123,
    "name": "<string>",
    "parentId": 123,
    "entity": "CONTACT",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

folderId
string
required

AI variable folder ID

Body

application/json
name
string

Updated folder name.

Minimum string length: 1
parentId
integer | null

Updated parent folder ID or null to move to root.

Response

200 - application/json

Folder updated successfully

status
enum<string>
required
Available options:
success
message
string
required
data
object
required